Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356423 - Super+L does not work to lock screen with Wayland session
Summary: Super+L does not work to lock screen with Wayland session
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 06:01 UTC by Amit Shah
Modified: 2017-08-08 15:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:35:32 UTC


Attachments (Terms of Use)

Description Amit Shah 2016-07-14 06:01:40 UTC
Description of problem:

After enabling Wayland session while logging in, super+L does not lock screen.  'L' is taken as a regular input character, as if the super key was not pressed.  Just pressing super brings up the activity overview just fine.

This is a ThinkPad T420s, if that matters.

gnome-shell-3.20.3-2.fc24.x86_64

Comment 1 Christian Stadelmann 2016-12-03 19:37:10 UTC
This bug report probably is a duplicate of bug #1388208.

Comment 2 Christian Stadelmann 2017-04-09 15:50:34 UTC
This bug has been fixed and closed upstream for Gnome 3.22. Can you please test and close this bug report?

Comment 3 Amit Shah 2017-04-13 20:22:57 UTC
Looks like I don't have enough permissions to change bug status.

Comment 4 Christian Stadelmann 2017-04-13 20:44:01 UTC
(In reply to Amit Shah from comment #3)
> Looks like I don't have enough permissions to change bug status.

You should be able to do so after logging in with your redhat.com email address.

Comment 5 Fedora End Of Life 2017-07-25 21:48:13 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 15:35:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.